Functions | Variables

# lib/rpmdpkg.h File Reference

Structure(s) and routine(s) used for dpkg EVR parsing and comparison. More...

`#include "rpmevr.h"`
Include dependency graph for rpmdpkg.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | dpkgEVRcmp (const char *a, const char *b)
| Segmented string compare.
int | dpkgEVRparse (const char *evrstr, EVR_t evr)
| Split EVR string into epoch, version, and release components.
int | dpkgEVRcompare (const EVR_t a, const EVR_t b)
| Compare EVR containers.
## Variables
int | _rpmdpkg_debug

## Detailed Description

Structure(s) and routine(s) used for dpkg EVR parsing and comparison.

Definition in file rpmdpkg.h.

## Variable Documentation

int _rpmdpkg_debug

Definition at line 16 of file rpmdpkg.c.